@echo off

set HP_ALM_VER=1.5.0
echo ******************************************************************************************
echo *                                                                                        *
echo *         Veracode HPE-ALM Flaw Synchronizer version %HP_ALM_VER%                               *                       
echo *    (License: http://www.veracode.com/terms-use-veracode-integrations-and-plug-ins)     *
echo *                                                                                        *
echo ******************************************************************************************
echo.
echo.
:start
set /P HPALM_SYNC_HOME_DIR=Please enter HP ALM Synchronizer Server Installation Home Directory. Hit ENTER key if it is same as default directory ("C:\Program Files\HP\HPE ALM Synchronizer") :
echo %cd%
if "%HPALM_SYNC_HOME_DIR%"=="" goto :setDefault

goto :startProcess
 
:setDefault
echo Setting default value for HP ALM Synchronizer Server Installation Home Directory...
set HPALM_SYNC_HOME_DIR=C:\Program Files\HP\HPE ALM Synchronizer

:startProcess
echo Started Processing...
echo Checking for directory existence... "%HPALM_SYNC_HOME_DIR%"

if exist "%HPALM_SYNC_HOME_DIR%" (
echo Verified directory existence. Continuing processing... 
goto :install
) else (
echo Looks like the directory does not exist. Please try again.
goto :start
)

REM Take a back up of existing files
:backup
mkdir "%HPALM_SYNC_HOME_DIR%\adapters\hpalm_flaw_synchronizer_backup"
set backupDir="%HPALM_SYNC_HOME_DIR%\adapters\hpalm_flaw_synchronizer_backup"

if exist "%HPALM_SYNC_HOME_DIR%\adapters\lib\veracode-adapter.jar"
copy "%HPALM_SYNC_HOME_DIR%\adapters\lib\veracode-adapter.jar" "%backupDir"

if exist "%pathToCopy%\adapters\dat\Veracode\DetailReport.xsl"
copy "%pathToCopy%\adapters\dat\Veracode\DetailReport.xsl" "%backupDir"

if exist "%pathToCopy%\adapters\dat\Veracode\adapter_settings.properties"
copy "%pathToCopy%\adapters\dat\Veracode\adapter_settings.properties" "%backupDir"

REM Copy required artifacts and configuration files in right place
:install
echo %cd%\adapter_settings.properties 
set sourcePath=%cd%

set pathToCopy=%HPALM_SYNC_HOME_DIR%
set pathToVeracodeCopy=%HPALM_SYNC_HOME_DIR%\adapters\dat\Veracode

if not exist "pathToVeracodeCopy" (
echo Creating %HPALM_SYNC_HOME_DIR%\adapters\dat\Veracode directory.
mkdir "%pathToVeracodeCopy%"
)

echo Copying veracode-adapter.jar" into "%pathToCopy%\adapters\lib"
copy "%sourcePath%\veracode-adapter.jar" "%pathToCopy%\adapters\lib"
echo Copying DetailReport.xsl into "%pathToCopy%\adapters\dat\Veracode"
copy "%sourcePath%\xslt\DetailReport.xsl" "%pathToCopy%\adapters\dat\Veracode"
echo Copying adapter_settings.properties into "%pathToCopy%\adapters\dat\Veracode"
copy "%sourcePath%\adapter_settings.properties" "%pathToCopy%\adapters\dat\Veracode"

set java_jre_endorsed_folder=%HPALM_SYNC_HOME_DIR%\java\lib\endorsed

if exist "%java_jre_endorsed_folder%" (
echo %HPALM_SYNC_HOME_DIR%\java\lib\endorsed directory found
goto :copyXalanJars 
) else (
echo Creating %HPALM_SYNC_HOME_DIR%\java\lib\endorsed directory
mkdir "%java_jre_endorsed_folder%"
)

REM Copy xalan 2.7.2 version and its dependencies
:copyXalanJars
echo Copying Xalan-J2.7.2 and its dependencies into %java_jre_endorsed_folder%
copy "%sourcePath%\xalan-2.7.2.jar" "%java_jre_endorsed_folder%"
copy "%sourcePath%\xercesImpl-2.9.1.jar" "%java_jre_endorsed_folder%"
copy "%sourcePath%\xml-apis-1.3.04.jar" "%java_jre_endorsed_folder%"
copy "%sourcePath%\serializer-2.7.2.jar" "%java_jre_endorsed_folder%"

:end

PAUSE
